Request Support  | Contact Sales

KNOWLEDGE BASE

Knowledge Base
1Backup
Acronis
Antivirus
Email
Firewall
GFI Software
Mail
Monitoring
N-Able
Sicurezza
TSPlus
Diventa Autore per CoreTech | Scopri di più

N-Able - N-Central: Requisiti di Sistema Patch Management

Patch Management Engine (PME) richiede il sistema operativo Windows nella versione 7 SP1 e successive o Windows 2008 R2 SP1 e successive. Assicurarsi che il sistema operativo sia nell'ultimo service pack disponibile. Questo è fondamentale per Windows 7 e Windows Server 2008 R2.

Importante: Gestione patch non supporta alcuna edizione di Windows Home.

.NET Framework

PME richiede . NET Framework 4.5.2 o superiore sul dispositivo. PME può installare automaticamente la versione richiesta . NET Framework durante la sua installazione.

Spazio sul disco locale

PME memorizza nella cache i file utilizzati di frequente sul disco locale e archivia i programmi di installazione per le patch più grandi come gli aggiornamenti cumulativi e gli aggiornamenti delle funzionalità. N-able consiglia almeno 10 GB di spazio libero sul disco rigido locale.

Account Windows

I servizi PME Windows sono in esecuzione con gli account SYSTEM e LocalService e richiedono l'esistenza di tali account con autorizzazioni predefinite.

Componenti di Windows

PME utilizza diversi componenti standard di Windows. Richiede i seguenti servizi in esecuzione senza problemi:

  • Servizio di trasferimento intelligente in background
  • DCOM Server Process Launcher
  • Chiamata di procedura remota (RPC)
  • RPC Endpoint Mapper
  • Aggiornamento Orchestrator Service
  • Windows Installer
  • Windows Update
  • Servizio medico di aggiornamento di Windows

Antivirus/Firewall

The list of requirements for security applications is described in Patch Manager Engine exclusions for third party AV software.

Usare un proxy

In Windows, è possibile configurare la sonda per utilizzare un proxy per scaricare le patch Microsoft e le patch di terze parti. Tuttavia, la gestione delle patch N-able non può utilizzare un proxy per scaricare gli aggiornamenti di Windows. Il cliente può configurare i propri dispositivi per consentire a Windows Update di utilizzare un proxy per recuperare un elenco di aggiornamenti.

Agente di Windows Update

La versione minima dell'agente di aggiornamento di Windows (WUA) deve essere maggiore di 7.6.7600.320. La versione base di generazione NT di Windows dovrebbe essere 6.1 o successiva. Le versioni precedenti della build base NT non possono aggiornare la versione precedente 7.6.7600.256 di Windows Update Agent.

Importante: Per garantire che i servizi di Windows Update siano aggiornati e in grado di rilevare correttamente le nuove patch, il motore di patch potrebbe applicare la SSU richiesta al momento del rilevamento.

Per determinare la versione di Windows Update Agent, procedere come segue.

  1. Nel File Explorer, navigare a C: Windows System32 e individuare il file wuaueng.dll.
  2. Fare clic con il pulsante destro del mouse sul file e fare clic su Proprietà.
  3. Fare clic sulla scheda Dettagli per trovare la versione del prodotto.

Aggiornamento delle funzionalità di Windows con crittografia completa del disco

A partire dalla versione di Windows 10 Anniversary Update, Microsoft fornisce nuovi parametri della riga di comando che specificano il percorso di una cartella che contiene i driver di crittografia per un computer con crittografia di terze parti abilitata. Per ridurre la possibilità di incontrare errori durante l'aggiornamento abbiamo codificato il percorso predefinito di Microsoft consigliato e interrogheremo questa posizione per il setupconfig.ini, che viene compilato dai fornitori di crittografia.

Abbiamo anche aggiunto la possibilità di aggiungere il proprio percorso personalizzato ai file di configurazione delle patch, per supportare i fornitori che archiviano il file setupconfig.ini. Ulteriori informazioni sono disponibili nella sezione Windows Feature Update with Full Disk Encryption.

Banner